Description: Cleanup Release of C News, with patch CR.G
Name: c-news
Version: CR.G
Release: 1
Icon: c-news.gif
Source: ftp.cs.toronto.edu:/pub/c-news/c-news.tar.Z
Patch: c-news-CR.G-linux.patch
Copyright: distributable
Group: Networking/News

%prep
%setup -c
%patch -p1

%build
(echo yes;exec yes '') | ./quiz
make RPM_OPT_FLAGS="${RPM_OPT_FLAGS}"
make r

%install
su -c 'install -d /var/spool/news -o news -g news -m 2755 &&
       install -d /usr/lib/news   -o news -g news -m 2755 &&
       install -d /var/lib/news   -o news -g news -m 2755'

su -c 'make install &&
       make setup' news

su -c 'make ui &&
       make readpostcheck &&
       chown news.news /usr/lib/news/input/newsspool &&
       chmod 6755      /usr/lib/news/input/newsspool'

su -c 'hostname --short >/var/lib/news/whoami &&
       hostname --fqdn  >/var/lib/news/mailname' news

make cmp

su -c '
  cd man;
  for m in *.[1-9]*; do
    c=${m##*.};
    c=${c%cn};
    install -m 444 $m /usr/man/man$c;
  done'

%files
%doc doc/README         doc/flow           doc/interface      doc/tmac.cn
%doc doc/b-to-c         doc/flow.pic       doc/libs           doc/toc.awk
%doc doc/biblio         doc/flow.pic.in    doc/log            doc/toc.end
%doc doc/block.awk      doc/flow.xpic      doc/log.codes      doc/toc.start
%doc doc/build.script   doc/guide          doc/macros         doc/trouble
%doc doc/config         doc/ihave          doc/makefile       doc/tune
%doc doc/ctlfiles       doc/ihave.pic      doc/nov            doc/vms
%doc doc/ctlmsg         doc/ihave.pic.in   doc/problems       doc/wee
%doc doc/dirs           doc/ihave.xpic     doc/repl
%doc doc/end.t          doc/indexmacros.t  doc/rfcerrata
%doc doc/fixindex.awk   doc/install        doc/title

/usr/man/man1/checknews.1cn
/usr/man/man1/inews.1cn
/usr/man/man1/postnews.1cn
/usr/man/man1/readnews.1cn
/usr/man/man5/controlperm.5
/usr/man/man5/news.5
/usr/man/man5/newsctl.5
/usr/man/man5/newsdb.5
/usr/man/man5/newsoverview.5
/usr/man/man5/newssys.5
/usr/man/man8/badexpiry.8cn
/usr/man/man8/checkactive.8
/usr/man/man8/cnewsdo.8cn
/usr/man/man8/expire.8cn
/usr/man/man8/explode.8cn
/usr/man/man8/mergeactive.8
/usr/man/man8/mkhistory.8cn
/usr/man/man8/newsaux.8cn
/usr/man/man8/newsbatch.8cn
/usr/man/man8/newsflag.8cn
/usr/man/man8/newsmail.8cn
/usr/man/man8/newsmaint.8cn
/usr/man/man8/newsoverview.8
/usr/man/man8/relaynews.8cn
/usr/man/man8/report.8cn
/usr/man/man8/rnews.8cn

/usr/lib/news
/var/lib/news
/var/spool/news

/usr/bin/checknews
/usr/bin/cnewsdo
/usr/bin/inews
/usr/bin/injnews
/usr/bin/postnews
/usr/bin/readnews
